Atom feed of this document
 
 
 

 5.3. Get Image Details

Verb URI Description
GET /images/id Lists details for the specified image.

Normal Response Codes: 200 and 203

Error Response Codes: cloudServersFault (400, 500), serviceUnavailable (503), unauthorized (401), badRequest (400), itemNotFound (404), overLimit (413)

This operation returns details of the specified image.

[Note]Note

The response body does not include the serverId field. To retrieve the serverId field, get details for all images. See Section 5.1, “List Images”

This operation does not require a request body.

 

Example 3.41. Get Image Details: JSON Response

{
    "image": {
        "created": "2011-11-03T08:55:15-05:00", 
        "id": 119, 
        "name": "Ubuntu 11.10", 
        "status": "ACTIVE", 
        "updated": "2011-11-03T08:55:15-05:00"
    }
}

 

Example 3.42. Get Image Details: XML Response

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<image xmlns="http://docs.rackspacecloud.com/servers/api/v1.0"
       status="ACTIVE" created="2011-11-03T08:55:15-05:00"
       updated="2011-11-03T08:55:15-05:00" name="Ubuntu 11.10"
       id="119"/>